---
openapi: 3.0.3
info:
  title: Accounts this is some new conete
  version: 1.0.0
  contact: {}
servers:
  - url: "{{url}}"
paths:
  /accounts/create:
    post:
      summary: Create adn define
      description: Create
      operationId: create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                holder:
                  type: string
                  example: "{{customerId}}"
                type:
                  type: string
                  example: "Savings Account"
            example:
              holder: "{{customerId}}"
              type: "Money Market Account"
      responses:
        "200":
          description: "this is some content"
  "/accounts/{accountNumber}/overview":
    get:
      summary: Overview
      description: Overview
      operationId: overview
      responses:
        "200":
          description: ""
    parameters:
      - name: accountNumber
        in: path
        required: true
        schema:
          type: string
  "/accounts/{accountNumber}/statement/date":
    get:
      tags:
        - Statement
      summary: Date
      description: Date
      operationId: date
      requestBody:
        content:
          application/form-urlencoded:
            schema:
              type: object
              properties:
                from:
                  type: string
                  example: "Wed Feb 09 2022 00:49:03 GMT-0600 (Central Standard Time)"
                to:
                  type: string
                  example: "Thu Sep 08 2022 12:07:19 GMT-0500 (Central Daylight Time)"
            example:
              from: "Wed Aug 17 2022 15:23:37 GMT-0500 (Central Daylight Time)"
              to: "Thu Sep 08 2022 20:09:22 GMT-0500 (Central Daylight Time)"
      responses:
        "200":
          description: 200 OK
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: "*"
            Connection:
              schema:
                type: string
                example: close
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: "Mon, 14 Jun 2021 14:30:25 GMT"
            ETag:
              schema:
                type: string
                example: "W/\"96-S/5iQ2y1qqIInh5BwoPc+chvDJU\""
            Server:
              schema:
                type: string
                example: nginx
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            X-RateLimit-Limit:
              schema:
                type: string
                example: "120"
            X-RateLimit-Remaining:
              schema:
                type: string
                example: "119"
            X-RateLimit-Reset:
              schema:
                type: string
                example: "1623681083"
            x-srv-span:
              schema:
                type: string
                example: v=1;s=210e5b055e5bd71e
            x-srv-trace:
              schema:
                type: string
                example: v=1;t=d33d68b932344fce
          content:
            text/plain:
              examples:
                200 OK:
                  value: "{\n    \"period\": {\n        \"from\": \"Fri Sep 10 2021 13:29:29 GMT-0500 (Central Daylight Time)\",\n        \"to\": \"Thu Sep 08 2022 09:23:58 GMT-0500 (Central Daylight Time)\"\n    },\n    \"balance\": {\n        \"opening\": 556.73,\n        \"closing\": 199.39\n    },\n    \"money\": {\n        \"in\": 581.74,\n        \"out\": 72.13\n    },\n    \"transactions\": [\n        {\n            \"date\": \"Thu Sep 08 2022 12:07:02 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Graham - Quigley\",\n            \"type\": \"invoice\",\n            \"amount\": 609.64,\n            \"balance\": 632.35\n        },\n        {\n            \"date\": \"Thu Sep 08 2022 22:12:49 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Rolfson, Oberbrunner and Nicolas\",\n            \"type\": \"withdrawal\",\n            \"amount\": 262.44,\n            \"balance\": 138.33\n        },\n        {\n            \"date\": \"Fri Sep 09 2022 07:39:25 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Lehner Inc\",\n            \"type\": \"payment\",\n            \"amount\": 644.37,\n            \"balance\": 555.43\n        },\n        {\n            \"date\": \"Thu Sep 08 2022 14:01:50 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Hammes Group\",\n            \"type\": \"withdrawal\",\n            \"amount\": 674.92,\n            \"balance\": 433.63\n        },\n        {\n            \"date\": \"Thu Sep 08 2022 08:53:45 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Crooks and Sons\",\n            \"type\": \"withdrawal\",\n            \"amount\": 276.98,\n            \"balance\": 843.06\n        },\n        {\n            \"date\": \"Thu Sep 08 2022 09:22:09 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Schaden, Senger and Rutherford\",\n            \"type\": \"invoice\",\n            \"amount\": 271.50,\n            \"balance\": 2.33\n        },\n        {\n            \"date\": \"Fri Sep 09 2022 03:11:39 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Runolfsson, Kunde and Baumbach\",\n            \"type\": \"withdrawal\",\n            \"amount\": 306.27,\n            \"balance\": 701.56\n        },\n        {\n            \"date\": \"Thu Sep 08 2022 16:50:17 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Rice Group\",\n            \"type\": \"deposit\",\n            \"amount\": 396.16,\n            \"balance\": 260.84\n        },\n        {\n            \"date\": \"Fri Sep 09 2022 02:02:52 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Schiller - Turcotte\",\n            \"type\": \"invoice\",\n            \"amount\": 773.44,\n            \"balance\": 213.85\n        },\n        {\n            \"date\": \"Thu Sep 08 2022 20:11:41 GMT-0500 (Central Daylight Time)\",\n            \"description\": \"Ryan LLC\",\n            \"type\": \"invoice\",\n            \"amount\": 476.77,\n            \"balance\": 216.88\n        }\n    ]\n}"
    parameters:
      - name: accountNumber
        in: path
        required: true
        schema:
          type: string
  "/accounts/{accountNumber}/statement/latest":
    get:
      tags:
        - Statement
      summary: Latest
      description: Latest
      operationId: latest
      responses:
        "200":
          description: ""
    parameters:
      - name: accountNumber
        in: path
        required: true
        schema:
          type: string
tags:
  - name: Statement